summaryrefslogtreecommitdiff
path: root/dev-python/pychm
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-11-09 01:04:04 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-11-09 01:04:04 +0000
commit7cc11328adbad99efe4e07e92ad8d09e35a99623 (patch)
tree3e0e6c37920d4e31a6491dd90f6be5471f179770 /dev-python/pychm
parent03aaad79f241f1bffb8f723106fa460059da4773 (diff)
downloadbaldeagleos-repo-7cc11328adbad99efe4e07e92ad8d09e35a99623.tar.gz
baldeagleos-repo-7cc11328adbad99efe4e07e92ad8d09e35a99623.tar.xz
baldeagleos-repo-7cc11328adbad99efe4e07e92ad8d09e35a99623.zip
Adding metadata
Diffstat (limited to 'dev-python/pychm')
-rw-r--r--dev-python/pychm/pychm-0.8.6-r1.ebuild29
1 files changed, 29 insertions, 0 deletions
diff --git a/dev-python/pychm/pychm-0.8.6-r1.ebuild b/dev-python/pychm/pychm-0.8.6-r1.ebuild
new file mode 100644
index 000000000000..cd37c7da7e23
--- /dev/null
+++ b/dev-python/pychm/pychm-0.8.6-r1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for the chmlib library"
+HOMEPAGE="https://github.com/dottedmag/pychm"
+SRC_URI="https://github.com/dottedmag/pychm/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
+
+RDEPEND="dev-libs/chmlib"
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests pytest
+
+src_test() {
+ # need to avoid relative import of 'chm' directory but tests rely
+ # on locating files relatively via tests/...
+ mv tests .. || die
+ cd .. || die
+ distutils-r1_src_test
+}